<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.List"
	import="java.util.ArrayList"
%>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final String extraStyles = request.getParameter("extraStyles");
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>Print template</title>
	<link rel="SHORTCUT ICON" href="images/print.png">
	<link rel="stylesheet" type="text/css" href="css/reggie.css">
	<link rel="stylesheet" type="text/css" href="css/printable.css">
	<%
	if (extraStyles != null)
	{
		%>
		<link rel="stylesheet" type="text/css" href="css/<%=extraStyles%>">
		<%
	}
	%>
	<script>
	function init()
	{
		window.opener.<%=request.getParameter("callback")%>();
	}
	</script>
</head>
<body onload="init()">
	<div class="paper" id="paper">
		<div class="noprint fullwidth" style="border-bottom: 1px dashed #A0A0A0; padding: 0 1em 1em 1em;">
			<span class="button" onclick="window.print()" style="float: left; margin-right: 1em;">
				<img src="images/print.png">Print&hellip;
			</span>
			<span id="printNote"></span>
			<br clear="all">
		</div>
		<div id="printarea"></div>
	</div>
</body>
</html>